Subject: Re: [PATCH 2/3] git-bundle: die if a given ref is not included in bundle

From: Mark Levedahl <[email-masked]>
Date: Thu, 08 Mar 2007 22:17:07 -0500

Johannes Schindelin wrote:
> The earlier patch tried to be nice by just warning, but it seems
> more likely that the user wants to adjust the parameters.
>
> Also, it prevents a bundle containing _all_ revisions in the case
> when the user only gave one ref, but also rev-list options which
> excluded the ref.
>
> Signed-off-by: Johannes Schindelin <[email-masked]>
> ---
>
>   
This patch makes git-bundle greatly complicates one of my primary uses: 
a nightly update generated and emailed to other users. With this, I need 
to write code to separately explore each branch in the repository to 
find what changed, then include only those. Without, I can just do git 
bundle ... <list of refs> and those which have been updated get included.

So, I would really like an option to error out only if the bundle would 
be empty.

Mark